## ros-melodic-rokubimini-factory 0.5.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rokubimini_factory)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
add_definitions(-std=c++14 -Wall -Werror)

if(CMAKE_COMPILER_IS_GNUCXX) 
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0) 
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -faligned-new")
  endif() 
endif() 

set(PACKAGE_DEPENDENCIES
    rokubimini
    rokubimini_bus_manager
    rokubimini_serial
    rokubimini_ethercat
)

find_package(catkin REQUIRED
  COMPONENTS
    ${PACKAGE_DEPENDENCIES} 
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
    yaml-cpp
  CATKIN_DEPENDS
    ${PACKAGE_DEPENDENCIES}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(
  ${PROJECT_NAME}
  src/${PROJECT_NAME}/RokubiminiFactory.cpp
)

add_dependencies(
  ${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
  yaml-cpp
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rokubimini-factory (0.5.8-1stretch) stretch; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.7-1stretch) stretch; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.6-1stretch) stretch; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.5-1stretch) stretch; urgency=high

  * Merge branch 'fix/ros-logging-fail' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!58
  * add proper build path for non-master branches. master branch CI needs to change. change Dockerfile and gitlab-ci.yml to use .rosinstall file
  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.4-1stretch) stretch; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.3-1stretch) stretch; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.2-1stretch) stretch; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.1-1stretch) stretch; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.0-1stretch) stretch; urgency=high

  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'add-abstract-filters' into 'master'
    Add configuration support in serial devices
  * fix bug in assignment operation of Configuration. replace INIT_MODE with ConnectionState in RokubiminiSerialImpl code
  * Merge branch 'change-info-to-debug' into 'master'
    change some INFO to DEBUG
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * add clang-formated code. add support for multiple devices in rokubimini_cosmo
  * add doxygen documentation
  * first abstracted try
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 19 Oct 2020 21:00:00 -0000

=== debian/control ===
Source: ros-melodic-rokubimini-factory
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-catkin, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-ethercat, ros-melodic-rokubimini-serial
Homepage: https://gitlab.com/botasys/bota_driver
Standards-Version: 3.9.2

Package: ros-melodic-rokubimini-factory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-ethercat, ros-melodic-rokubimini-serial
Description: C++ library deriving the abstract communication interface classes in the rokubimini library for EtherCAT.

## ros-melodic-rokubimini-factory 0.5.9

=== debian/changelog ===
ros-melodic-rokubimini-factory (0.5.9-1bionic) bionic; urgency=high

  * add url to wiki
  * fix catkin_lint warning: variable CMAKE_CXX_FLAGS is modified
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.8-1bionic) bionic; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.7-1bionic) bionic; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.6-1bionic) bionic; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Support clang format 8
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.5-1bionic) bionic; urgency=high

  * Merge branch 'fix/ros-logging-fail' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!58
  * add proper build path for non-master branches. master branch CI needs to change. change Dockerfile and gitlab-ci.yml to use .rosinstall file
  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.4-1bionic) bionic; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.3-1bionic) bionic; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.2-1bionic) bionic; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.1-1bionic) bionic; urgency=high



 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-melodic-rokubimini-factory (0.5.0-1bionic) bionic; urgency=high

  * Merge branch 'feature/remove-message-logger-dependency'
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Merge branch 'feature/remove-yaml-tools-dep' into 'master'
    Remove yaml tools dependency
  * Merge branch 'feature/remove-cosmo-dependency' into 'master'
    Remove all dependencies apart from yaml_tools
  * Merge branch 'add-abstract-filters' into 'master'
    Add configuration support in serial devices
  * fix bug in assignment operation of Configuration. replace INIT_MODE with ConnectionState in RokubiminiSerialImpl code
  * Merge branch 'change-info-to-debug' into 'master'
    change some INFO to DEBUG
  * Merge branch 'add-linter-test' into 'feature/rokubimini_serial'
    Add linter testing step in CI
  * add clang-formated code. add support for multiple devices in rokubimini_cosmo
  * add doxygen documentation
  * first abstracted try
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 19 Oct 2020 21:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bota Systems AG <sw-support@botasys.com>
 Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-catkin, ros-melodic-rokubimini, ros-melodic-rokubimini-bus-manager, ros-melodic-rokubimini-ethercat, ros-melodic-rokubimini-serial
-Homepage: https://gitlab.com/botasys/bota_driver
+Homepage: http://wiki.ros.org/bota_driver
 Standards-Version: 3.9.2
 
 Package: ros-melodic-rokubimini-factory

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rokubimini-factory//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
